/*
 * Position.cs
 * Copyright (c) 2007-2009 kbinani
 *
 * This file is part of LipSync.
 *
 * LipSync is free software; you can redistribute it and/or
 * modify it under the terms of the BSD License.
 *
 * LipSync is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */
using System.ComponentModel;

namespace LipSync {

    [TypeConverter( typeof( PositionConverter ) )]
    public class Position {
        private float m_x = 0f;
        private float m_y = 0f;

        public Position( float x, float y ) {
            m_x = x;
            m_y = y;
        }

        public float X {
            get {
                return m_x;
            }
            set {
                m_x = value;
            }
        }

        public float Y {
            get {
                return m_y;
            }
            set {
                m_y = value;
            }
        }
    }

}
